rtl8821ce: Kein WLAN (und Bluetooth)

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema rtl8821ce: Kein WLAN (und Bluetooth) gibt es 42 Antworten auf 5 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • rtl8821ce: Kein WLAN (und Bluetooth)

    Hallo miteinander,

    habe folgendes Notebook: HP 15-da0103ng mit Leap 15.1
    Leider funktioniert das WLAN nicht. Ich denke, ich brauche einen Treiber?
    Kann mir jemand hier weiterhelfen?

    Shell-Script

    1. maktub@linux-co35:~> /sbin/lspci -nnk | grep -iA3 net
    2. 01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
    3. Subsystem: Hewlett-Packard Company Device [103c:84a6]
    4. Kernel driver in use: r8169
    5. Kernel modules: r8169
    6. 02:00.0 Network controller [0280]: Realtek Semiconductor Co., Ltd. RTL8821CE 802.11ac PCIe Wireless Network Adapter [10ec:c821]
    7. Subsystem: Hewlett-Packard Company Device [103c:831a]
    8. 03:00.0 Non-Volatile memory controller [0108]: Toshiba America Info Systems BG3 NVMe SSD Controller [1179:0113] (rev 01)
    9. Subsystem: Toshiba America Info Systems Device [1179:0001]
    10. maktub@linux-co35:~>
    11. maktub@linux-co35:~> zypper se -si kernel firmware
    12. Repository-Daten werden geladen...
    13. Installierte Pakete werden gelesen...
    14. S | Name | Typ | Version | Arch | Repository
    15. ---+-----------------+-------+-----------------------+--------+--------------------------------
    16. i+ | kernel-default | Paket | 4.12.14-lp151.28.36.1 | x86_64 | openSUSE:Leap:15.1:Update
    17. i+ | kernel-default | Paket | 4.12.14-lp151.28.36.1 | x86_64 | Hauptaktualisierungs-Repository
    18. i+ | kernel-default | Paket | 4.12.14-lp151.28.32.1 | x86_64 | openSUSE:Leap:15.1:Update
    19. i+ | kernel-default | Paket | 4.12.14-lp151.28.32.1 | x86_64 | Hauptaktualisierungs-Repository
    20. i+ | kernel-firmware | Paket | 20191118-lp151.2.9.1 | noarch | openSUSE:Leap:15.1:Update
    21. i+ | kernel-firmware | Paket | 20191118-lp151.2.9.1 | noarch | Hauptaktualisierungs-Repository
    22. maktub@linux-co35:~>
    Alles anzeigen


    Danke und Gruß, Michael

    Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von Micky ()

    Für den Inhalt des Beitrages 139593 haftet ausdrücklich der jeweilige Autor: Micky

  • Für den Inhalt des Beitrages 139594 haftet ausdrücklich der jeweilige Autor: Alero

  • @Alero: Bin nach Anweisung vorgegangen:
    Den folgenden Text per copy und paste in der Konsole einfügen und ausführen: wget -O collectNWData.sh CND_download && chmod +x collectNWData.sh && ./collectNWData.sh
    Danach kommt immer folgendes Ergebnis:
    !!! Das Programm ifconfig,arp,route ist nicht verfügbar. Das Programm nachinstallieren und das Script danach noch einmal ausführen

    Mit welchen Befehl nochmals installiere ich die Programme ifconfig,arp,route nach?

    Für den Inhalt des Beitrages 139597 haftet ausdrücklich der jeweilige Autor: Micky

  • Du musst den Treiber für den Chipsatz installieren. Dieser ist nämlich nicht direkt in Kernel. Es müsste aber ein fertiges Paket auf dem Repository von Sauerland sein. Vielleicht kann er mehr dazu sagen.

    Für den Inhalt des Beitrages 139600 haftet ausdrücklich der jeweilige Autor: mairo

  • Dir scheint einiges zu fehlen. Poste bitte mal

    Quellcode

    1. zypper lr -d

    Lies auch mal hier ...

    Klick und Klick

    Fehlende Software kann man in Yast oder per zypper nachinstallieren. Beispiel:

    Root werden mit su, Passwort unsichtbar eingeben und dann ein

    Quellcode

    1. zypper in ifconfig
    Nur so als Beispiel ...

    Für den Inhalt des Beitrages 139602 haftet ausdrücklich der jeweilige Autor: Alero

  • Dieses Skript ist nicht ganz up to date.
    Seit 42.? wird ifconfig und route nicht mehr automatisch installiert. Sind obsolet aber noch nachinstallierbar.
    Der Nachfolger heißt ip. Damit sollte man sich befassen! Siehe in die Man-Pages.
    Zu dem Befehl arp müsste ich jetzt auch mal nachsehen. Wenn ich mich recht erinnere, war dieser auch ein standardmässiger einer jeden (open)SuSe-Installation.

    @Alero, auch wenn die Repoliste vollkommen in Ordnung ist, diese Programme werden nicht mehr automatisch während der Erstinstallation installiert.

    Zu dem nicht mehr so ganz aktuellem Skript zurückzukommen.
    Erst mal vielen Dank an die, die es geschrieben haben. Und eine Bitte an die, die es (hoffentlich) noch pflegen: Eine Modifikation auf die neuen Programme/Tools wäre Toll!
    In der Hoffnung, dass es die Richtigen lesen oder jemand, der die Richtigen kennt :)

    Für den Inhalt des Beitrages 139603 haftet ausdrücklich der jeweilige Autor: ThomasS

  • Shell-Script

    1. maktub@linux-co35:~> zypper lr -d
    2. # | Alias | Name | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ | URI | Dienst
    3. ---+-------------------------------------+---------------------------------------------------------+-----------+-----------------+----------------+-----------+--------+----------------------------------------------------------------------------------------+-------
    4. 1 | http-download.opensuse.org-cd0fac73 | home:XRevan86 | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/home:/XRevan86/openSUSE_Leap_15.1/ |
    5. 2 | http-download.opensuse.org-e1f73156 | openSUSE:Leap:15.1:Update | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/oss/ |
    6. 3 | http-download.opensuse.org-e2595c35 | home:XRevan86:non-free | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/home:/XRevan86:/non-free/openSUSE_Leap_15.1/ |
    7. 4 | http-opensuse-guide.org-a7d36f0f | libdvdcss repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_15.1/ |
    8. 5 | openSUSE-Leap-15.1-1 | openSUSE-Leap-15.1-1 | Nein | ---- | ---- | 99 | rpm-md | hd:/?device=/dev/disk/by-id/usb-Generic_Flash_Disk_C226E79D-0:0-part2 |
    9. 6 | packman.inode.at-suse | Packman Repository | Ja | (r ) Ja | Ja | 70 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_15.1/ |
    10. 7 | repo-debug | Debug Repository | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.1/repo/oss/ |
    11. 8 | repo-debug-non-oss | Debug Repository (Non-OSS) | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/15.1/repo/non-oss/ |
    12. 9 | repo-debug-update | Update Repository (Debug) | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.1/oss/ |
    13. 10 | repo-debug-update-non-oss | Update Repository (Debug, Non-OSS) | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/15.1/non-oss/ |
    14. 11 | repo-non-oss | Non-OSS Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/non-oss/ |
    15. 12 | repo-oss | Haupt-Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/distribution/leap/15.1/repo/oss/ |
    16. 13 | repo-source | Source Repository | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.1/repo/oss/ |
    17. 14 | repo-source-non-oss | Source Repository (Non-OSS) | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/15.1/repo/non-oss/ |
    18. 15 | repo-update | Hauptaktualisierungs-Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/oss |
    19. 16 | repo-update-non-oss | Aktualisierungs-Repository (Nicht-Open-Source-Software) | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/15.1/non-oss/ |
    20. maktub@linux-co35:~>
    Alles anzeigen
    Mist! Muss jetzt weg! Bin am Montag wieder da! Danke schon mal für alle Beiträge! Werde sie alle lesen, kann aber erst am Montag umsetzen, da auswärts nun kein WLAN auf Notebook verfügbar. :( Gruß, Michael

    Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von Micky ()

    Für den Inhalt des Beitrages 139604 haftet ausdrücklich der jeweilige Autor: Micky

  • Repoliste sieht nicht schlecht aus.

    Nur kleine Schönheitskorrekturen: #15 und #2 sind doppelt. (warum?) Lösche #2!
    Repo #4 (libdvdcss) kann nach erfolgreicher Installation von libdvdcss2 deaktiviert werden. Soll sich mit dem Packman-Repo beißen....

    Das ganze hat aber nichts mit deinem Problem zu tun....

    Für den Inhalt des Beitrages 139608 haftet ausdrücklich der jeweilige Autor: ThomasS

  • Als root:

    Quellcode

    1. zypper ar -f https://download.opensuse.org/repositories/home:/Sauerland:/hardware/openSUSE_Leap_15.1_Update/ Sauerland-Update
    Das fügt mein Repo für das OSS-Update Repo hinzu.

    Quellcode

    1. zypper in rtl8821ce-kmp-default btrtl-kmp-default
    Ersteres ist Wlan-Treiber, zweiteres Bluetooth.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 139611 haftet ausdrücklich der jeweilige Autor: Sauerland